Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004421 [JEDI VCL] 00 JVCL Components trivial always 2008-08-11 23:20 2012-02-29 16:55
Reporter ZENsan View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004421: JvDBGrid and TitlePopup
Description Hello...

I tried to use titlepopup proerty.. But it seems to do not work at all. I tried to change settings, but it do not works with simple application..
Additional Information
Tags No tags attached.
Attached Files rar file icon Projects.rar [^] (40,965 bytes) 2008-08-11 23:20

- Relationships
related to 0005285resolvedAHUser TJvDBGrid - Columns can't be moved 

-  Notes
(0014503)
ZENsan (reporter)
2008-08-12 04:06

if (Button = mbRight) and
        (dgTitles in Options) and (dgIndicator in Options) and
        {(Cell.X = 0) and} (Cell.Y = 0) then
      begin
        if (FTitleArrow and Assigned(FOnTitleArrowMenuEvent)) then
          FOnTitleArrowMenuEvent(Self);

        // Display TitlePopup if it exists
        if Assigned(FTitlePopup) then
        begin
          GetCursorPos(CursorPos);
          FTitlePopup.PopupComponent := Self;
          FTitlePopup.Popup(CursorPos.X, CursorPos.Y);
        end;
        Exit;
      end;

I commented the source part Cell.X = 0. Why Cell.X must be zero to popup title menu?
If I use this source all works fine.
(0014755)
jfudickar (developer)
2008-10-05 15:16

Changed in SVN (Revision 11940)
(0018221)
AHUser (developer)
2010-11-28 17:50

Fixed in a way that doesn't break 0005285.

- Issue History
Date Modified Username Field Change
2008-08-11 23:20 ZENsan New Issue
2008-08-11 23:20 ZENsan File Added: Projects.rar
2008-08-12 04:06 ZENsan Note Added: 0014503
2008-08-12 05:20 ZENsan Note Added: 0014504
2008-08-12 22:59 ZENsan Note Deleted: 0014504
2008-09-29 06:44 obones Status new => acknowledged
2008-10-05 15:16 jfudickar Status acknowledged => resolved
2008-10-05 15:16 jfudickar Resolution open => fixed
2008-10-05 15:16 jfudickar Assigned To => jfudickar
2008-10-05 15:16 jfudickar Note Added: 0014755
2010-10-08 16:02 obones Relationship added related to 0005285
2010-11-28 17:43 AHUser Note Added: 0018220
2010-11-28 17:43 AHUser Status resolved => feedback
2010-11-28 17:43 AHUser Resolution fixed => reopened
2010-11-28 17:49 AHUser Note Deleted: 0018220
2010-11-28 17:50 AHUser Note Added: 0018221
2010-11-28 17:50 AHUser Status feedback => resolved
2010-11-28 17:50 AHUser Fixed in Version => Daily / SVN
2010-11-28 17:50 AHUser Resolution reopened => fixed
2012-02-29 16:55 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker